Validate Smartcard
curl --request POST \
--url https://api.dancity.app/api/v1/cable/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smartcardNumber": "1234567890",
"cablename": "DSTV"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({smartcardNumber: '1234567890', cablename: 'DSTV'})
};
fetch('https://api.dancity.app/api/v1/cable/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/cable/validate"
payload = {
"smartcardNumber": "1234567890",
"cablename": "DSTV"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Validation successful",
"data": {
"status": "success",
"customerName": "John Doe",
"customerNumber": "1234567890",
"smartcardNumber": "1234567890",
"cablename": "DSTV",
"message": "Validation successful"
}
}{
"success": false,
"message": "Smartcard number not found",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}VAS
Validate Smartcard
Validate a cable TV smartcard or IUC number.
POST
/
api
/
v1
/
cable
/
validate
Validate Smartcard
curl --request POST \
--url https://api.dancity.app/api/v1/cable/validate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"smartcardNumber": "1234567890",
"cablename": "DSTV"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({smartcardNumber: '1234567890', cablename: 'DSTV'})
};
fetch('https://api.dancity.app/api/v1/cable/validate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.dancity.app/api/v1/cable/validate"
payload = {
"smartcardNumber": "1234567890",
"cablename": "DSTV"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"message": "Validation successful",
"data": {
"status": "success",
"customerName": "John Doe",
"customerNumber": "1234567890",
"smartcardNumber": "1234567890",
"cablename": "DSTV",
"message": "Validation successful"
}
}{
"success": false,
"message": "Smartcard number not found",
"statusCode": 400
}{
"success": false,
"message": "Invalid API key or IP not allowlisted",
"statusCode": 401
}{
"success": false,
"message": "Sorry, something went wrong. Please try again later",
"statusCode": 500
}Body
application/json
Response
Validation successful
